<bugID>1398715<Summary>There are no images for bookmarks cards after updating to Nightly with Highlights</Summary><Description>Created attachment 8906545
bookmarks with no images after update.gif

[Notes]:
- The bookmarks have to have been created in a Nightly version that did not have Highlights.
- The issue is also reproducible if you import History from another browser in a new profile.

[Affected versions]:
- Firefox 57.0a1 Build ID 20170910220126

[Affected Platforms]:
- All Windows
- All Mac
- All Linux

[Prerequisites]:
- browser.newtabpage.activity-stream.enabled is set to true in about:config on a clean new profile of Nightly 2017-09-07.
- Have enough history so that all 12 Top Sites are populated.

[Steps to reproduce]:
1. Start the browser with the profile from prerequisites.
2. Navigate to three pages and bookmark them.
3. Update Nightly.
4. Open a New Tab and observe the first three cards from the Highlights section.

[Expected results]:
- The cards have an image, a title and a short description of the bookmarked page.

[Actual results]:
- The cards have titles, but lack descriptions and images.

[Additional Notes]:
- Attached a screen recording of the issue.</Description></bugID>